%global libname zfec

Name:           python-%{libname}
Version:        1.4.22
Release:        6%{?dist}
Summary:        A fast erasure codec with python bindings

Group:          Development/Tools
License:        GPLv2+
URL:            http://allmydata.org/trac/%{libname}
Source0:        http://pypi.python.org/packages/source/z/%{libname}/%{libname}-%{version}.tar.gz
Patch0:         zfec-fix-setup.patch

BuildRequires:  python-devel, python-setuptools, pyutil, python-setuptools_trial
Requires:       pyutil

%description
Fast, portable, programmable erasure coding a.k.a. "forward error correction":
the generation of redundant blocks of information such that if some blocks are
lost then the original data can be recovered from the remaining blocks.


%prep
%setup -q -n %{libname}-%{version}

# argparse is in the stdlib in python 2.7, upstream bug #9:
%patch0 -p1
rm -rf *.egg
rm -rf *.egg-info


%build
CFLAGS="%{optflags}" %{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

rm -rf %{buildroot}%{_docdir}/%{libname}
find %{buildroot} -name *.c -exec rm {} \;
find %{buildroot} -name *.h -exec rm {} \;

# Remove shebangs on modules
sed -i '/^#!\/usr\/bin\/env/d' %{buildroot}%{python_sitearch}/%{libname}/test/test_zfec.py
sed -i '/^#!\/usr\/bin\/env/d' %{buildroot}%{python_sitearch}/%{libname}/cmdline_zfec.py
sed -i '/^#!\/usr\/bin\/env/d' %{buildroot}%{python_sitearch}/%{libname}/cmdline_zunfec.py


%check
%{__python} setup.py trial

%files
%defattr(-,root,root,-)
%doc README.rst TODO NEWS.txt COPYING.GPL COPYING.TGPPL.html
%{python_sitearch}/%{libname}
%{python_sitearch}/%{libname}-%{version}-*.egg-info
%{_bindir}/zfec
%{_bindir}/zunfec


%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.22-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.22-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.22-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.22-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Apr 01 2011 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.4.22-2
- Use setuptools_trial to run unit tests

* Tue Mar 08 2011 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.4.22-1
- Upstream released new version

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 27 2010 David Malcolm <dmalcolm@redhat.com> - 1.4.7-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Jun 24 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.4.7-1
- Upstream released new version

* Sun Jan 31 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.4.6-1
- Upstream released new version

* Mon Sep 07 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.4.5-1
- Initial import

